%define upstream_name    Math-Complex
%define upstream_version 1.59

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Complex numbers and associated mathematical functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.110.0
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'Math::Trig' defines many trigonometric functions not defined by the core
Perl which defines only the 'sin()' and 'cos()'. The constant *pi* is also
defined as are a few convenience functions for angle conversions, and
_great circle formulas_ for spherical movement.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.590.0-9.mga8
+ Revision: 1495572
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.590.0-8.mga7
+ Revision: 1269229
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.590.0-7.mga6
+ Revision: 1029599
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.590.0-6.mga6
+ Revision: 933125
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.590.0-5.mga5
+ Revision: 739715
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.590.0-4.mga5
+ Revision: 685356
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.590.0-3.mga4
+ Revision: 512847
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.590.0-2.mga3
+ Revision: 369588
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 25 2012 kharec <kharec> 1.590.0-1.mga2
+ Revision: 214359
- update to 1.59

* Fri Nov 04 2011 jquelin <jquelin> 1.580.0-2.mga2
+ Revision: 162818
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 1.580.0-1.mga2
+ Revision: 112067
- update to 1.58

* Sat Jan 22 2011 jquelin <jquelin> 1.560.0-1.mga1
+ Revision: 32185
- mageia rebuild
- imported package perl-Math-Complex

